Subject: Re: [PATCH v3 0/2] net: stmmac: Enhanced addressing mode for DWMAC 4.10

From: Thierry Reding <[email-masked]>
Date: Wed, 25 Sep 2019 13:17:06 +0200

On Tue, Sep 24, 2019 at 09:45:08PM +0200, David Miller wrote:
> From: Thierry Reding <[email-masked]>
> Date: Fri, 20 Sep 2019 19:00:34 +0200
> 
> > From: Thierry Reding <[email-masked]>
> > 
> > The DWMAC 4.10 supports the same enhanced addressing mode as later
> > generations. Parse this capability from the hardware feature registers
> > and set the EAME (Enhanced Addressing Mode Enable) bit when necessary.
> 
> This looks like an enhancement and/or optimization rather than a bug fix.
> 
> Also, you're now writing to the high 32-bits unconditionally, even when
> it will always be zero because of 32-bit addressing.  That looks like
> a step backwards to me.
> 
> I'm not applying this.

Sounds like you would prefer v2 of this:

	https://patchwork.ozlabs.org/project/netdev/list/?series=129768&state=*

While v2 didn't have a cover letter, it did write the upper 32 bits
conditionally.

Do you want to pick that up instead, or do you want me to send out a v4
with the cover letter from v3 and the patches from v2?

Thierry